Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226237 - Merge Review: pcmciautils
Summary: Merge Review: pcmciautils
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:21 UTC by Nobody's working on this, feel free to take it
Modified: 2007-12-06 12:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-12-06 12:45:43 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:21:42 UTC
Fedora Merge Review: pcmciautils

http://cvs.fedora.redhat.com/viewcvs/devel/pcmciautils/
Initial Owner: harald@redhat.com

Comment 1 Ville Skyttä 2007-03-03 12:13:52 UTC
Doesn't use $RPM_OPT_FLAGS.  A simple fix is to do 'make
OPTIMIZATION="$RPM_OPT_FLAGS"' instead of 'make' in %build but that trumps the
upstream -Os vs -O2 selection.  Not a big deal, I think, but if there's a
compelling reason to use -Os, pcmciautils-fedora.patch could be changed to do
this in order to preserve it:
CFLAGS += $(RPM_OPT_FLAGS) $(OPTIMIZATION) -D_GNU_SOURCE

URL tag missing, a suitable one could be eg.
http://www.kernel.org/pub/linux/utils/kernel/pcmcia/pcmcia.html

Are the pcmcia-cs and kernel-pcmcia-cs Obsoletes still needed?  If no, drop; if
yes, should be made versioned.

No PCMCIA hardware here so I'll leave rest of the review to someone else.

Comment 2 Harald Hoyer 2007-03-23 13:30:31 UTC
done... please check pcmciautils-014-6.fc7

Comment 3 Ville Skyttä 2007-03-23 17:35:21 UTC
(In reply to comment #2)
> done... please check pcmciautils-014-6.fc7

The changes look good to me, but as said in comment 1: "No PCMCIA hardware here
so I'll leave rest of the review to someone else."

Comment 4 Mamoru TASAKA 2007-03-29 00:51:44 UTC
pcmciautils-014-6.fc7 complains:

--------------------------------------
[root@localhost i386]# LANG=C rpm -Fvh --test pcmciautils-014-6.fc7.i386.rpm 
error: Failed dependencies:
        pcmcia-cs conflicts with hwdata-0.199-1.fc7.noarch
--------------------------------------

Comment 5 Parag AN(पराग) 2007-11-30 11:48:21 UTC
rpmlint gave
pcmciautils.i386: W: obsolete-not-provided pcmcia-cs
pcmciautils.i386: W: obsolete-not-provided kernel-pcmcia-cs

you SHOULD use
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
to preserve timestamps.

Rest looks ok.

Comment 6 Parag AN(पराग) 2007-11-30 11:54:00 UTC
APPROVED.


Note You need to log in before you can comment on or make changes to this bug.